import logo from './logo.svg';
import './App.css';
import { useState } from 'react';

const Spoiler = ({header="+", open=false, children}) => {
  //напишите тут код
  let [isVisible, setVisible] = useState()
  let visibility = open? 'visible' : 'hidden'
  console.log('open', visibility)
  
  return (
    <>
      <header onClick={() => {open = !open; console.log('now',open)}}>{header}</header>
      <div style={{visibility: visibility}}>
        {children}
      </div>
    </>
  )

}



function App() {
  return (
    <div className="App">
      <Spoiler header={<h1>Заголовок</h1>} open>
        Контент 1
        <p>
            лорем ипсум траливали и тп.
        </p>
        <img src={logo} width="200" heigt="200"/>
      </Spoiler>
    </div>
  );
}

export default App;
